[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TDBGridColumns.Update

Redraws the Grid control that owns the column collection.

## Declaration

Source position: dbgrids.pas line 303

`protected procedure TDBGridColumns.Update(`
`Item: TCollectionItem`
`); override;`

## Arguments

`Item` |  | Collection item triggering the update.

## Description

Update causes the TDBGrid control which owns the column collection to be redrawn. The value in Grid must be assigned, or no actions are performed in the method. In addition, the Grid control will not be updated if component streaming is active (csLoading in its ComponentState). Update calls TDBGrid.LayoutChanged to cause the Grid control to be redrawn.

## See also

TGridColumns |  | Collection used to store column definitions for a grid control.
TCollection